Subject: Re: bug#9897: 24.0.90; w32 control character configuration is severely lacking compared to ns-win.el

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Oct 2011 20:47:38 +0200

> From: Tim Visher <[email-masked]>
> Date: Fri, 28 Oct 2011 11:14:06 -0400
> 
> I'm trying to configure what pressing Alt, Windows, Apps, and Control on
> a windows keyboard translates to in emacs. I use emacs on both Macs and
> Windows boxen and I'm used to configuring the keys on macs using
> ns-win.el bindings like:
> 
>     (if (boundp 'mac-command-modifier) (setq mac-command-modifier 'control))
>     (if (boundp 'mac-option-modifier) (setq mac-option-modifier 'meta))
>     (if (boundp 'mac-control-modifier) (setq mac-control-modifier 'super))
> 
> Compared to that library, the ability to configure what the meta keys
> map to on windows is severely lacking, not allowing configuration at all
> of what the control-modifier is mapped to, and providing only toggles
> for the windows keys and apps keys.

What other keys do you have on your keyboard that you'd like to
configure on Windows?  There's no "command modifier" and no "option
modifier" on Windows.

Note that in addition to what you mentioned, there's
w32-enable-caps-lock and w32-enable-num-lock that you can use to
produce 2 more symbols.